> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> Learn more about integrating Oneloop in your product

<Note>If you need additional API endpoints then reach out to us.</Note>

## Welcome

Production Url: [https://prod.oneloop.ai](https://prod.oneloop.ai)

OpenApi Specification: [https://prod.oneloop.ai/openapi](https://prod.oneloop.ai/openapi)

All API endpoints are authenticated using Bearer tokens in the `Authorization` HTTP header in the following format.

```
Authorization: Bearer <TOKEN>
```

If you are using one of the SDKs, then you can set the authorization header based on the language.

The SDK Key can be generated in the [dashboard](https://dashboard.oneloop.ai)

<CodeGroup>
  ```typescript typescript theme={null}
  import { OneloopClient } from "@oneloop-hq/oneloop-ts";

  const oneloop = new OneloopClient({
    token: process.env.ONELOOP_KEY ?? "",
  });

  const isKeyValid = await oneloopClient.verifyApiKey({key: "api-key", requestedScopes: []});
  ```

  ```python python theme={null}
  from oneloop_client.client import OneloopApi

  oneloop = OneloopApi(token="your-oneloop-api-key")

  is_key_valid = oneloop.verify_api_key(key="api-key", requested_scopes=[])
  ```
</CodeGroup>
